API ReferenceBoard Template
Retrieves a BoardTemplate resource
GET
Retrieves a BoardTemplate resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringBoardTemplate identifier
BoardTemplate resource
- response
description?|Length
length <= 100000boardType?|nulldateStart?stringFormat
date-timedateEnd?stringFormat
date-timetaskDatesRelativeToBoard?booleanid?stringFormat
uuidname?stringLength
length <= 100isPublic?booleancreatedBy?|nullcurl -X GET 'https://app.icproject.com/api/instance/demo/project/board-templates/string'Example Response
{ "description": "string", "boardType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decorator": "#78909c" }, "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "taskDatesRelativeToBoard": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isPublic": true, "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorName": "string", "jobPositionName": "string", "canLogIn": true, "isExternal": true }}